Debian Bug report logs - #576318
aptitude segfaults on invoking changelog under certain circumstanses

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: "Wil van Lieorp \(dutchfish\)" <support@sa-maastricht.net>

Date: Sat, 3 Apr 2010 01:57:01 UTC

Severity: normal

Tags: patch

Merged with 577968

Found in version aptitude/0.6.1.5-3

Fixed in version 0.6.2-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, support@sa-maastricht.net, Daniel Burrows <dburrows@debian.org>:
Bug#576318; Package aptitude. (Sat, 03 Apr 2010 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Wil van Lieorp \(dutchfish\)" <support@sa-maastricht.net>:
New Bug report received and forwarded. Copy sent to support@sa-maastricht.net, Daniel Burrows <dburrows@debian.org>. (Sat, 03 Apr 2010 01:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Wil van Lieorp \(dutchfish\)" <support@sa-maastricht.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude segfaults on invoking changelog under certain circumstanses
Date: Sat, 03 Apr 2010 03:55:42 +0200
Package: aptitude
Version: 0.6.1.5-3
Severity: normal

example:

aptitude changelog exim
No candidate version found for exim
No candidate version found for exim
Segmentation fault

Kind regards,

dutchfish


-- Package-specific info:
aptitude 0.6.1.5 compiled at Mar 12 2010 18:48:34
Compiler: g++ 4.4.3
Compiled against:
  apt version 4.8.0
  NCurses version 5.7
  libsigc++ version: 2.2.4.2
  Ept support enabled.
  Gtk+ support disabled.

Current library versions:
  NCurses version: ncurses 5.7.20100313
  cwidget version: 0.5.16
  Apt version: 4.8.0
	linux-vdso.so.1 =>  (0x00007ffffadff000)
	libapt-pkg-libc6.9-6.so.4.8 => /usr/lib/libapt-pkg-libc6.9-6.so.4.8 (0x00007f31d08cb000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0x00007f31d0678000)
	liblog4cxx.so.10 => /usr/lib/liblog4cxx.so.10 (0x00007f31d028a000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00007f31d0085000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0x00007f31cfdb9000)
	libept.so.0 => /usr/lib/libept.so.0 (0x00007f31cfb41000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0x00007f31cf7f0000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007f31cf5d9000)
	libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00007f31cf348000)
	libboost_iostreams.so.1.40.0 => /usr/lib/libboost_iostreams.so.1.40.0 (0x00007f31cf13d000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00007f31cef21000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f31cec10000)
	libm.so.6 => /lib/libm.so.6 (0x00007f31ce98e000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f31ce778000)
	libc.so.6 => /lib/libc.so.6 (0x00007f31ce423000)
	libutil.so.1 => /lib/libutil.so.1 (0x00007f31ce220000)
	libdl.so.2 => /lib/libdl.so.2 (0x00007f31ce01c000)
	libaprutil-1.so.0 => /usr/lib/libaprutil-1.so.0 (0x00007f31cddf8000)
	libdb-4.8.so => /usr/lib/libdb-4.8.so (0x00007f31cda7e000)
	libapr-1.so.0 => /usr/lib/libapr-1.so.0 (0x00007f31cd846000)
	libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x00007f31cd635000)
	librt.so.1 => /lib/librt.so.1 (0x00007f31cd42d000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f31d0bb7000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x00007f31cd228000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00007f31ccff1000)
	libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f31ccdc9000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33.1-lldesktop-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.9 0.7.25.3         Advanced front-end for dpkg
ii  libboost-iostreams1.40. 1.40.0-6+b1      Boost.Iostreams Library
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libcwidget3             0.5.16-3         high-level terminal interface libr
ii  libept0                 0.5.30           High-level library for managing De
ii  libgcc1                 1:4.4.2-9        GCC support library
ii  liblog4cxx10            0.10.0-1.1       A logging library for C++
ii  libncursesw5            5.7+20100313-1   shared libraries for terminal hand
ii  libsigc++-2.0-0c2a      2.2.4.2-1        type-safe Signal Framework for C++
ii  libsqlite3-0            3.6.23-1         SQLite 3 shared library
ii  libstdc++6              4.4.2-9          The GNU Standard C++ Library v3
ii  libxapian15             1.0.18-1         Search engine library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages aptitude recommends:
ii  apt-xapian-index              0.25       maintenance tools for a Xapian ind
ii  aptitude-doc-en [aptitude-doc 0.6.1.5-3  English manual for aptitude, a ter
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output
ii  sensible-utils                0.0.2      Utilities for sensible alternative

Versions of packages aptitude suggests:
ii  debtags                       1.7.9+b2   Enables support for package tags
ii  tasksel                       2.81       Tool for selecting tasks for insta

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#576318; Package aptitude. (Mon, 05 Apr 2010 21:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Semyonov <linulin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Mon, 05 Apr 2010 21:42:09 GMT) Full text and rfc822 format available.

Message #10 received at 576318@bugs.debian.org (full text, mbox):

From: Dmitry Semyonov <linulin@gmail.com>
To: Debian Bug Tracking System <576318@bugs.debian.org>
Subject: Re: segfaults on invoking changelog under certain circumstanses tags 576318 patch stop
Date: Tue, 06 Apr 2010 01:03:22 +0400
Package: aptitude
Version: 0.6.1.5-3
Severity: normal

Most likely you want to use "aptitude changelog exim/unstable" instead.
Anywhay, the following patch fixes the crash for me:

--- aptitude-0.6.1.5/src/cmdline/cmdline_changelog.cc	2009-11-27 18:34:10.000000000 +0300
+++ cmdline_changelog.cc	2010-04-06 00:44:24.000000000 +0400
@@ -320,8 +320,11 @@
 	  else
 	    {
 	      // Fall back to string-based guessing.
-	      if(ver.end() && source == cmdline_version_version)
-		filename = changelog_by_version(package, sourcestr);
+	      if(ver.end())
+		{
+		  if (source == cmdline_version_version)
+		    filename = changelog_by_version(package, sourcestr);
+		}
 	      else
 		{
 		  get_changelog(ver, filename);




Added tag(s) patch. Request was from Dmitry Semyonov <linulin@gmail.com> to control@bugs.debian.org. (Mon, 05 Apr 2010 21:57:06 GMT) Full text and rfc822 format available.

Forcibly Merged 576318 577968. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Fri, 16 Apr 2010 14:51:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Fri, 16 Apr 2010 14:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#576318; Package aptitude. (Sun, 18 Apr 2010 18:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. (Sun, 18 Apr 2010 18:18:02 GMT) Full text and rfc822 format available.

Message #21 received at 576318@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: "Wil van Lieorp (dutchfish)" <support@sa-maastricht.net>, 576318@bugs.debian.org
Subject: Re: Bug#576318: aptitude segfaults on invoking changelog under certain circumstanses
Date: Sun, 18 Apr 2010 11:00:11 -0700
Version: 0.6.2-1

  This should have been closed by 0.6.2-1, but I typed the wrong bug number. :(

  Daniel




Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. (Mon, 19 Apr 2010 13:48:11 GMT) Full text and rfc822 format available.

Notification sent to "Wil van Lieorp \(dutchfish\)" <support@sa-maastricht.net>:
Bug acknowledged by developer. (Mon, 19 Apr 2010 13:48:11 GMT) Full text and rfc822 format available.

Message #26 received at 576318-done@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 576318-done@bugs.debian.org
Subject: Re: Bug#576318: Info received (Bug#576318: aptitude segfaults on invoking changelog under certain circumstanses)
Date: Mon, 19 Apr 2010 06:26:40 -0700
Version: 0.6.2-1

  And I meant to really close this last time.

  Daniel




Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. (Mon, 19 Apr 2010 13:48:12 GMT) Full text and rfc822 format available.

Notification sent to Julian Andres Klode <jak@debian.org>:
Bug acknowledged by developer. (Mon, 19 Apr 2010 13:48:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Jul 2010 07:30:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:59:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.